# PhasicFlow: checkStatic< T >::has_static_member_TYPENAME< typename, typename > Struct Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

checkStatic< T >::has_static_member_TYPENAME< typename, typename > Struct Template Reference

## Detailed Description

### template<typename T>
template<typename, typename>
struct pFlow::checkStatic< T >::has_static_member_TYPENAME< typename, typename >

Definition at line 52 of file typeInfo.hpp.

The documentation for this struct was generated from the following file:

- src/phasicFlow/typeSelection/typeInfo.hpp